package com.lc.day04.obj2;

import java.util.Arrays;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/11/27 15:43
 * @Version 1.0
 */
public class Test01 {

    public static void main(String[] args) {

        Test01 t = new Test01();
        //创建数组
        Student[] arr = t.getArr(20);
        System.out.println("------------");
        //查看
        t.printArr(arr);

        //根据条件查询
        System.out.println("------------");
        t.printArr2State(arr, 3);

        //排序
        t.sort(arr);
        System.out.println("--------------------");
        //查看
        t.printArr(arr);


    }
    //使用冒泡排序按学生成绩排序，
    public void sort(Student[] arr){
        for (int i = 0; i < arr.length-1; i++) {
            for (int j = 0; j < arr.length-1-i; j++) {
                //排序
                if ( arr[j].score > arr[j+1].score ){
                    //交换
                    Student temp = arr[j];
                    arr[j] = arr[j+1];
                    arr[j+1] = temp;
                }
            }
        }
    }


    //打印出3年级(state值为3）的学生信息。
    public void printArr2State(Student[] arr , int state ){
        for (int i = 0; i < arr.length; i++) {
            if (arr[i].state == state ){
                System.out.println(arr[i].getInfo());
            }
        }
    }

    //查看数组内容方法
    public void printArr(Student[] arr ){
        for (int i = 0; i < arr.length; i++) {
            System.out.println(arr[i].getInfo());
        }
    }


    public Student[] getArr(int length){
        Student[] students = new Student[length];

        for (int i = 0; i < students.length; i++) {
            Student student = new Student();
            student.number = i+1; //学号
            student.state = (int) (Math.random()*3)+1; //年级
            student.score = (int) (Math.random()*50)+50; //年级
            //放入数组
            students[i] = student;
        }
        //返回
        return students;
    }

}
