package com.lc.day08.interface04;

/**
 * ClassName: Person
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/5 13:51
 * @Version 1.0
 */
public class Person implements Comparable {

    private String name;
    private int age;

    public Person() {
    }

    public Person(String name, int age) {
        this.name = name;
        this.age = age;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    @Override
    public int compareTo(Object o) {
        //转换
        Person p1 = (Person) o;

        //年龄排序
        int resuslt = this.age - p1.age;
        //年龄相同 姓名排序
        return resuslt == 0 ? this.name.compareTo(p1.name) : resuslt ;
    }


    @Override
    public String toString() {
        return "Person{" +
                "name='" + name + '\'' +
                ", age=" + age +
                '}';
    }


}
