package com.lc.day09.inner05;

import java.util.Arrays;
import java.util.Comparator;

/**
 * ClassName: Test02
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/6 10:31
 * @Version 1.0
 */
public class Test02 {

    public static void main(String[] args) {

        F[] fs = new F[3];

        fs[0] = new F(1,"a");
        fs[1] = new F(3,"c");
        fs[2] = new F(2,"b");

        //使用比较器接口
        //传入对象

        Arrays.sort(fs, new Comparator<F>() {
            @Override
            public int compare(F o1, F o2) {
                return o1.id - o2.id;
            }
        });

        // new 接口 或者 抽象产生 匿名子类。匿名内部类。
        // 方法的参数 。 需要一个接口或者抽象类的子类。
        // 只是用一次。在其他为也没有应用.

    }
}
class F {

    public F(int id, String name) {
        this.id = id;
        this.name = name;
    }

    int id;
    String name;
}
