package com.lc.coll02;

import com.lc.coll01.Person;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * ClassName: Test02
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/14 9:36
 * @Version 1.0
 */
public class Test02 {
    public static void main(String[] args) {
        //集合
        Collection<Integer> coll  = new ArrayList<>();

        coll.add(1);
        coll.add(2);
        coll.add(3);
        coll.add(4);
        coll.add(5);

        //遍历
        Iterator<Integer> iterator = coll.iterator();

        while ( iterator.hasNext() ){
            Integer next = iterator.next();
            if (next == 2){
                iterator.remove();
            }
        }

        //ConcurrentModificationException
        System.out.println(coll);

        // ConcurrentModificationException  并发修改异常。

        // 源码
        /*
          modCount 相当于元素个数  查看的元素个是否又改动。 5个  值 5
          size 个数

            int expectedModCount  = 5 = modCount  = 6;  元素的 个数  5

           fastRemove(es, i);  内部  modCount ++

           public E next() {
            checkForComodification();  //检查 modCount

            if (modCount != expectedModCount)  5 ！= 6
                throw new ConcurrentModificationException();
         */


    }
}
