package com.lc.daystring.date02;

import java.util.Calendar;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/11 11:07
 * @Version 1.0
 */
public class Test01 {

    public static void main(String[] args) {
        //实例
        Calendar instance = Calendar.getInstance();

        //set 2023 12 11
        instance.set(Calendar.YEAR,2023);
        instance.set(Calendar.MONTH,11);
        instance.set(Calendar.DAY_OF_MONTH,11);

        // 重载
        // instance.set(Calendar.YEAR,Calendar.MONTH,Calendar.DAY_OF_MONTH,2023,11,11);

        //get

        int year = instance.get(Calendar.YEAR);
        int month = instance.get(Calendar.MONTH);
        int day = instance.get(Calendar.DAY_OF_MONTH);


        System.out.println(year+"-年-"+(month+1)+"-月"+day+"-天");


        //add
        instance.add(Calendar.DAY_OF_MONTH,-30);
        instance.add(Calendar.YEAR,-1);
        System.out.println(instance.getTime());

        instance.add(Calendar.MONTH,12);

        System.out.println(instance.getTime());


        int i = instance.get(Calendar.DAY_OF_WEEK);
        instance.add(Calendar.DAY_OF_MONTH,-1);

        int i1 = instance.get(Calendar.DAY_OF_WEEK);
        System.out.println(i1);

        int week = getWeek(i1);

        System.out.println("星期："+week);
    }

    public static int getWeek(int i){
        int[] week = {0,2,3,4,5,6,7,1};

        return week[i];
    }
}
