package com.lc.daystring.date04;

import java.time.DayOfWeek;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.Month;
import java.time.temporal.ChronoField;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/11 14:29
 * @Version 1.0
 */
public class Test02 {

    public static void main(String[] args) {
        //日期
        LocalDate localDate = LocalDate.now(); //当前时间

        int days = localDate.get(ChronoField.DAY_OF_YEAR);
        System.out.println(days);

        //提供方法
        int year = localDate.getYear();
        int month = localDate.getMonthValue();
        int dayOfMonth = localDate.getDayOfMonth();

        DayOfWeek dayOfWeek = localDate.getDayOfWeek();
        System.out.println(dayOfWeek);

        int value = dayOfWeek.getValue();
        System.out.println(value);

        System.out.println(year+"年"+month+"月"+dayOfMonth+"日");


        //withXXXX

        LocalDate localDate2 = localDate.withMonth(10);
        LocalDate localDate1 = localDate2.withYear(2022);

        System.out.println(localDate1);


        //plus
        LocalDate localDate3 = localDate1.plusYears(1);
        LocalDate localDate4 = localDate3.plusMonths(10);

        System.out.println(localDate4);
        //minus
        LocalDate localDate5 = localDate4.minusDays(365);
        System.out.println(localDate5);
    }
}
