package com.lc.daystring.date04;

import java.time.Instant;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.temporal.TemporalAccessor;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/11 14:29
 * @Version 1.0
 */
public class Test04 {

    public static void main(String[] args) {

        //日期
        LocalDate localDate = LocalDate.now();

        //转换字符窜
        DateTimeFormatter df = DateTimeFormatter.ofPattern("yyyy-MM-dd");

        //字符
        String format = df.format(localDate);

        System.out.println(format);


        //字符转日期
        String str = "2024-12-11";

        //parse
        TemporalAccessor parse = df.parse(str);
        //from
        LocalDate from = LocalDate.from(parse);
        System.out.println(from);

        //日期
        LocalDate parse1 = LocalDate.parse(str);
        System.out.println(parse1);

        // 不通用
//        LocalDateTime parse2 = LocalDateTime.parse(str);
//        System.out.println(parse2);

        // 方式2
        String str1 = "2024-12-11 23:23:23";

        //用时间 + parse 指定格式
        DateTimeFormatter df1 = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        LocalDateTime parse3 = LocalDateTime.parse(str1, df1);
        System.out.println(parse3);
    }
}
