package com.lc.day06.triangle;

/**
 * ClassName: Triangle
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/11/29 9:21
 * @Version 1.0
 */
public class Triangle {

    private double a,b,c;


    public double getA() {
        return a;
    }

    public double getB() {
        return b;
    }

    public double getC() {
        return c;
    }

    public double area(){
        if (a == 0 || b == 0 || c == 0  ){
            System.out.println("请设置 边长！");
            return -1;
        }

        double p = (a + b + c) /2;

        return Math.sqrt( p *(p -a) * (p-b) * (p-c) );
    }

    public void setBases(double a, double b, double c){
        //校验
        boolean flag = checkeABC(a,b,c);
        if (flag){
            this.a = a;
            this.b = b;
            this.c = c;
        }else {
            System.out.println("不符合三角形！！");

        }
    }

    private boolean checkeABC(double a, double b, double c){
        //每个边大于零
        if (a < 0 || b < 0 ||  c < 0  ){
            return false;
        }

        //两边之和 大于 第三边
        if ( a + b < c || a + c < b || b + c < a ){
            return false;
        }
        return true;
    }


    public String getInfo() {
        return "Triangle{" +
                "a=" + a +
                ", b=" + b +
                ", c=" + c +
                "面积："+ area()+
                '}';
    }
}
