package com.lc.polymorphic06;

/**
 * ClassName: Test02
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/4 13:51
 * @Version 1.0
 */
public class Test02 {
    public static void main(String[] args) {
        A a1 = new A(); //A
        A a2 = new B(); // 多态
        B b = new B();
        C c = new C();
        D d = new D();
        System.out.println("(1)" + a1.show(b)); //  a and a
        System.out.println("(2)" + a2.show(d)); //  b     A
        System.out.println("(3)" + b.show(c));  //  a     c
        System.out.println("(4)" + b.show(d));  //  b     b
    }
}
class A {
    public String show(C obj) {
        return ("A and C");
    }
    public String show(A obj) {
        return "A and A";
    }
}

class B extends A {

    //继承
//    public String show(C obj) {
//        return ("A and C");
//    }

    public String show(B obj) {
        return "B and B";
    }

    @Override
    public String show(A obj) {
        return "B and A";
    }
}
class C extends B { }
class D extends B { }
