package com.lc.day08.interface04;

import java.util.Arrays;
import java.util.Comparator;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/5 13:52
 * @Version 1.0
 */
public class Test01 {
    public static void main(String[] args) {

        Person[] people = new Person[5];

        people[0] = new Person("a",10);
        people[1] = new Person("a",9);
        people[2] = new Person("f",11);
        people[3] = new Person("b",16);
        people[4] = new Person("d",7);

        //排序
        Arrays.sort(people);
        // ClassCastException  Person cannot be cast to class java.lang.Comparable

        //lambda
        Arrays.stream(people).forEach(System.out::println);



        //String 实现了接口
        String[] strings = {"a","c","b"};

        Arrays.sort(strings);

        System.out.println(Arrays.toString(strings));


        // 比较器排序
        // 在使用的时候  传入一个比较规则。
        Arrays.sort(people, new MyComparator() );

        //lambda
        Arrays.stream(people).forEach(System.out::println);

    }
}
