package com.lc.day08.interface05;

/**
 * ClassName: Employee
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/5 15:27
 * @Version 1.0
 */
public class Employee implements Comparable {

//    编号、姓名、薪资、年龄

    private int id;
    private String name;
    private double salary;
    private int age;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getSalary() {
        return salary;
    }

    public void setSalary(double salary) {
        this.salary = salary;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public Employee(int id, String name, double salary, int age) {
        this.id = id;
        this.name = name;
        this.salary = salary;
        this.age = age;
    }

    @Override
    public String toString() {
        return "Employee{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", salary=" + salary +
                ", age=" + age +
                '}';
    }

    @Override
    public int compareTo(Object o) {
        //编号
        Employee e = (Employee)  o;

        return id - e.id;
    }
}

