package com.lc.day08.interface05;

import java.util.Comparator;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/5 15:34
 * @Version 1.0
 */
public class Test01 {
    public static void main(String[] args) {

        Employee[] employees = new Employee[5];

        employees[0] = new Employee(1,"a",1299,22);
        employees[1] = new Employee(3,"b",2299,22);
        employees[2] = new Employee(2,"e",1399,26);
        employees[3] = new Employee(5,"f",1599,28);
        employees[4] = new Employee(4,"d",10299,20);

        //排序
        ArrayTools.sort(employees);

        for (int i = 0; i < employees.length; i++) {
            System.out.println(employees[i]);
        }



        ArrayTools.sort(employees, new Comparator() {
            @Override
            public int compare(Object o1, Object o2) {
                Employee e1 = (Employee) o1;
                Employee e2 = (Employee) o2;

                return -(e1.getId() - e2.getId());
            }
        });

        System.out.println("---------------");

        for (int i = 0; i < employees.length; i++) {
            System.out.println(employees[i]);
        }
    }
}
