package com.lc.list03;

import java.util.ArrayList;
import java.util.List;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/14 11:02
 * @Version 1.0
 */
public class Test01 {
    /*
    - 插入元素
      - `void add(int index, Object ele)`:在index位置插入ele元素
      - boolean addAll(int index, Collection eles):从index位置开始将eles中的所有元素添加进来
    - 获取元素
      - `Object get(int index)`:获取指定index位置的元素
      - List subList(int fromIndex, int toIndex):返回从fromIndex到toIndex位置的子集合
    - 获取元素索引
      - int indexOf(Object obj):返回obj在集合中首次出现的位置
      - int lastIndexOf(Object obj):返回obj在当前集合中末次出现的位置
    - 删除和替换元素
      - `Object remove(int index)`:移除指定index位置的元素，并返回此元素

      - `Object set(int index, Object ele)`:设置指定index位置的元素为ele
     */
    public static void main(String[] args) {
        //List
        List<Object> list = new ArrayList<>();

        list.add(0,10);
        list.add(1,11);
        list.add(12);

        list.add(0,100);

        //中间不可以跳过索引
        //添加指定位置 存在，把前面的元素向后移动。
        System.out.println(list);

        List<Integer> list1 = new ArrayList<>();
        list1.add(21);
        list1.add(22);

        //list.addAll(list1);  //添加所有元素。
        list.add(list1); //一个元素
        System.out.println(list);

        //get 索引
        Object o = list.get(0);

        System.out.println(o);

        //截取
        List<Object> objects = list.subList(0, 4);

        System.out.println(objects);

        //objects
        //查找 前到后
        int i = objects.indexOf(11);
        System.out.println(i);

        //后前
        int i1 = objects.lastIndexOf(12);
        System.out.println(i1);

        //remove
        List<Integer> list2= new ArrayList<>();

        list2.add(1);
        list2.add(2);

        Object a = 1;

        Integer remove = list2.remove(1);//重载  返回删除的值。
        System.out.println(remove);
        //调用规则 个数 类型  兼容

        System.out.println(list2);


        //修改 set 旧值 返回
        Integer set = list2.set(0, 10);
        System.out.println(set);
        System.out.println(list2);
    }


}
