package com.lc.list04;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;
import java.util.Scanner;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/14 13:48
 * @Version 1.0
 */
public class Test01 {

    public static void main(String[] args) {
        /*
         * 随机生成10个号码放到集合中，范围1-50，作为乐透号码。不能重复。
         * 键盘录入10个整数放到集合中，范围1-50，不能重复。
         * 录入的整数与乐透号码对比，统计猜中了几个。
         */
        List<Integer> numbers = getNumbers();
        System.out.println(numbers);

        List<Integer> integers = inputNumbers();

        System.out.println(integers);

        //比较
        int compare = compare(numbers, integers);
        System.out.println("猜中几个"+compare);

    }

    //比较方法
    public static int compare(List<Integer> list1 , List<Integer> list2) {
        int count = 0;

        //遍历
        for (Integer i : list1) {
            boolean check = check(list2, i);
            if (check){
                count++;
            }
        }
        return count;
    }


    public static List<Integer> inputNumbers() {
        //输入
        Scanner scanner = new Scanner(System.in);

        //集合
        List<Integer> list = new ArrayList<>();

        for (int i = 0; i < 5 ; ) {
            System.out.println("请输入数字 1-50");
            int num = scanner.nextInt();
            //判断
            boolean flag = check( list, num );

            if ( !flag ){
                list.add(num);
                i++;
            }
        }
        return list;
    }


    public static List<Integer>  getNumbers() {
        //集合
        List<Integer> list = new ArrayList<>();

        for (int i = 0; i < 5 ; ) {
            int num = new Random().nextInt(50) + 1;
            //判断
            boolean flag = check( list, num );

            if ( !flag ){
                list.add(num);
                i++;
            }
        }
        return list;
    }

    //检查
    private static boolean check(List<Integer> list, int num) {
        for (Integer i : list) {
            if (i == num) return true;
        }
        return false;
    }


}
