package com.lc.day.genic01;

/**
 * ClassName: Person
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/13 10:25
 * @Version 1.0
 */
public class Person implements Comparable<Person>  {

    private String name;

    @Override
    public int compareTo(Person o) {
        // Comparable<T> 声明了泛型 没有使用泛型，泛型就使用object

        // 省略强制
        // 在编译器解决问题
        return this.name.compareTo(o.name);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
