package com.lc.day.genic03;

/**
 * ClassName: Person
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/13 11:27
 * @Version 1.0
 */
public class Person implements Comparable<Person>{
    public String name;
    public Integer age;

    public Person(String name, Integer age) {
        this.name = name;
        this.age = age;
    }

    @Override
    public int compareTo(Person o) {
        int i = this.name.compareTo(o.name);
        return i== 0 ? this.age.compareTo(o.age) : i ;
    }

    @Override
    public String toString() {
        return "Person{" +
                "name='" + name + '\'' +
                ", age=" + age +
                '}';
    }
}