package com.lc.day.genic04;

import java.util.Comparator;

/**
 * ClassName: ArrayTools
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/13 15:15
 * @Version 1.0
 */
public class ArrayTools {


    /*
        根据比较器排序
     */
    public static <T> void sort( T[] arr, Comparator<T> c){

        if ( arr == null ){
            throw new NullPointerException("数组不能为空！！");
        }
        //排序逻辑
        for (int i = 0; i < arr.length-1; i++) {
            for (int k = 0; k < arr.length-1-i; k++) {

                if ( c.compare(arr[k],arr[k+1])> 0 ){
                    //交换
                    T temp = arr[k];
                    arr[k] = arr[k+1];
                    arr[k+1] = temp;
                }
            }
        }

    }



}
