package com.lc.day.exception03;

import java.util.InputMismatchException;
import java.util.Scanner;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/12 15:26
 * @Version 1.0
 */
public class Test01 {
    public static void main(String[] args) {
        /*
        从键盘输入两个整数，求它们的商。尽量考虑和避免异常，无法避免的使用try...catch处理。
        （1）如果用户输入的非整数，使用try...catch处理，并且让用户重新输入
        （2）如果用户输入的除数为0，请用户重新输入。
         */

        Scanner scanner = new Scanner(System.in);

        int[] arr = new int[2];

        for (int i = 0; i < 2; i++) {
            System.out.println("请输入正整数");
            try {
                arr[i] = scanner.nextInt();

                if (i == 1){

                    int a1 =arr[0];
                    int a2 =arr[1];

                    int number = a1 / a2;

                    System.out.println("结果："+number);
                }

            } catch (InputMismatchException e) {
                scanner.nextLine();
                System.out.println("输入的非整数:"+e.getMessage());
                i--;
            } catch ( ArithmeticException e ){
                System.out.println("除数不能为0:"+e.getMessage());
                i--;
            }
        }

        scanner.close();

    }
}
