package com.lc.daystring.date05;

import java.time.ZoneId;
import java.time.ZonedDateTime;
import java.util.Set;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/11 16:02
 * @Version 1.0
 */
public class Test01 {

    public static void main(String[] args) {
        //集合
        Set<String> availableZoneIds = ZoneId.getAvailableZoneIds();
        //availableZoneIds.forEach(System.out::println);

        //Asia/Shanghai
        ZonedDateTime now = ZonedDateTime.now();
        System.out.println(now);

        //根据时区获取时间
        ZonedDateTime now1 = ZonedDateTime.now(ZoneId.of("Asia/Shanghai"));
        ZonedDateTime now2 = ZonedDateTime.now(ZoneId.of("America/New_York"));

        System.out.println(now1);
        System.out.println(now2);
    }
}
