package com.lc.daystring.string02;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/11 9:48
 * @Version 1.0
 */
public class Test02 {


    public static void main(String[] args) {
        //初始设置
        long startTime = 0L;
        long endTime = 0L;
        String text = "";
        StringBuffer buffer = new StringBuffer("");
        StringBuilder builder = new StringBuilder("");

        //开始对比
        startTime = System.currentTimeMillis();
        for (int i = 0; i < 40000; i++) {
            buffer.append(String.valueOf(i));
        }
        endTime = System.currentTimeMillis();
        System.out.println("StringBuffer效率：" + (endTime - startTime));

        startTime = System.currentTimeMillis();
        for (int i = 0; i < 40000; i++) {
            builder.append(String.valueOf(i));
        }
        endTime = System.currentTimeMillis();
        System.out.println("StringBuilder效率：" + (endTime - startTime));

        startTime = System.currentTimeMillis();
        for (int i = 0; i < 40000; i++) {
            text = text + i;
        }
        endTime = System.currentTimeMillis();
        System.out.println("String效率：" + (endTime - startTime));

    }

}
